RESOURCES

  General Resources

In addition to standard X and Motif toolkit resources, following resources are used by XFile.

appNameInTitle Boolean
    Show application name (XFile) in the title bar if True, only current directory name/path otherwise. Default is False.

confirmRemoval always|multiple
    Controls whether file removal actions must be confirmed by the user. If set to always, the user is prompted before every removal, if set to multiple the user is prompted when removing more than three files, or a directory. Default is always.

defaultPath String
    Specifies the default startup path if none was specified on the command line. Default is the current directory.

filterDirectories Boolean
    If True, filter pattern (see the -f option and the View->Filter... menu item) will also affect directories, files only otherwise. Default is False.

fullPathInTitle Boolean
    Show full path to the current directory in the title bar if True, only current directory name otherwise. Default is False.

historyMaxEntries Integer
    Specifies the maximum number of entries to be stored in history. Default is 8.

iconSize auto|tiny|small|medium|large
    Sets the size of icons displayed in the file list. Default is auto, in which case the size is deduced from font height.

mediaDirectory String
    Specifies a mount daemon managed directory, if any (typically /media/$LOGNAME). Environment variables in sh syntax will be expanded accordingly. This resource is not set by default.

mediaMountCommand
    Specifies a mount daemon specific command to mount mount-points within the daemon managed media directory (see mediaDirectory). This resource is not set by default.

mediaUnmountCommand
    Specifies a mount daemon specific command to unmount mount-points within the daemon managed media directory (see mediaDirectory). This resource is not set by default.

mountCommand String
    Specifies the command to be used to mount entries from fstab. Default is "mount".

unmountCommand String
    Specifies the default command to unmount mount-points. Default is "umount".

userMounts Boolean
    If True, Mount/Unmount entries will be shown in the context menu for mount points. Default is True.

pathField Boolean
    If True, the path field will be shown in the main window. Defaults to True.

refreshInterval Integer
    Specifies the interval in seconds at which xfile should check for changes within the current directory. Default is 3 seconds.

statusField Boolean
    If True, the status field will be displayed in the main window. Defaults to True.

showAll Boolean
    Show all files (including ones starting with dot) by default. This option may be inverted using command line parameters. Default is false.

terminal String
    Specifies the command to run a terminal emulator. Note that this differs from the XFile.variables.terminal (see FILE TYPE DATABASE) resource, in that it specifies a command to run an interactive shell session.

userDatabaseOnly Boolean
    If True, only user ($HOME/.xfile/*.db) file type database is parsed, default database is ignored. Default is False.

variables.name String
    Defines a local environment variable used by the file type database (see the FILE TYPE DATABASE section on variable expansion) for command String expansion.

wmIconForeground Color, wmIconBackground Color
    Colors to be used for rendering default window manager icons.